# Codeception Test Suite Configuration

# suite for functional (integration) tests.
# emulate web requests and make application process them.
# (tip: better to use with frameworks).

# RUN `build` COMMAND AFTER ADDING/REMOVING MODULES.
#basic/web/index.php
class_name: FunctionalTester
step_decorators:
    - \Codeception\Step\TryTo
    - \Codeception\Step\ConditionalAssertion
modules:
    enabled:
      - Filesystem
      - Asserts
      - app\tests\Yii2Extended:
          # part: [orm, fixtures]
          configFile: 'config/test.php'
          cleanup: true
        #   transaction: false # see https://codeception.com/docs/modules/Yii2#config
      - DataFactory:
            factories: tests/_support/factories
            depends: app\tests\Yii2Extended